#ifndef ADC_H
#define ADC_H


/*		Her initialiseres AD-konverteringen. 
*		Module0:
*		Channel_0: 	+AN0,-AN4		Channel_1: +AN1,-AN5	
*		Channel_2: 	+AN2,-AN6		Channel_3: +AN3,-AN7
*		Channel_8: 	+AN8,-AN12		Channel_9: +AN9,-AN13
*		Channel_10: +AN10,-AN14		Channel_11: +AN11,-AN15
*
*		Module1:
*		Channel_4: 	+AN4,-AN0		Channel_5: +AN5,-AN1	
*		Channel_6: 	+AN6,-AN2		Channel_7: +AN7,-AN3
*		Channel_12: +AN12,-AN8		Channel_13: +AN13,-AN9
*		Channel_14: +AN14,-AN10		Channel_15: +AN15,-AN11
*/

#define MINVALUECHANGE 1 //Bestemmer hvor stor endring en ADC-kanal m ha fr endringen registreres.


void initADCmodule(int moduleNumber);
void startSingleScan(int moduleNumber);
unsigned int readChannel(int channel);
void printAllChannels(void); //Debug-funksjon
void startSingleScanWithFilter(int moduleNumber);
unsigned int getmVoltage(int channel);




#endif