#ifndef ANGLE_H
#define ANGLE_H


#define DEGREEPERRESISTANCE	0.03 	//Hvor mange graders endring som tilsvarer en endring i potmeteret p 1 ohm.
#define ANGLEADCCHANNEL		1 		//ADC-kanalen som potmeteret er koblet til.

#define CONSTRESISTOR 		5630	//Verdien (ohm) p den konstante motstanden i spenningsdeleren.
#define VOLTAGESUPPLY		3300	//Spenningsforsyning i mV.


int getAngle(void);
void setAngleMidPoint(void);
int getResistorValue(void);

#endif