#ifndef DEBUGCOM_H
#define DEBUGCOM_H

// The baud rate of the serial communication.
#define SCI3_BAUDRATE	(28800)	//(115200)

// Defines the number of bytes in the transmit buffer.
#define SCI3_TX_BUFFER_SIZE	200

#define SCI3_INT_PRIORITY		0x05 // Serial port 3. Debugging.



void initDebugCom(void);
void pStr(char* s);
void pStrWNum(char* s, int number);
void saveRecievedByte(unsigned char recievedByte);
unsigned char getInputFromComputer(void);
unsigned char newInputReady(void);
void cleanTerminal(void);
void sendDataToLabview(int weight, int ADCvalue, int Angle);
void setVariableDebugMessage(char* s, int number);
void printVariableDebugMessage(void);

#endif