#ifndef GLOBVAR_H
#define GLOBVAR_H

// Boolean variables.
#define TRUE	1
#define FALSE	0

 //Brukes til  time periodiske oppgaver
#define PERIODIC_LOOP_LIMIT 1


#define CAN_INT_PRIORITY		0x08 // CAN communication.

// The crystal frequency.
#define CRYSTAL_FREQ 11.0592
// See SH2Tiny Controller Spec. Indicated by  in the SH7047 datasheet.
//  = 44 236 800 Hz
static double systemClock = CRYSTAL_FREQ * 4.0e6;
// See SH2Tiny Controller Spec. Indicated by P in the SH7047 datasheet.
// P = 22 118 400 Hz
static double peripheralClock = CRYSTAL_FREQ * 2.0e6;

int counter;







#endif