#include "Vektcelle.h"
#include "ADC.h"

int SENSORMIDPOINT 	=	595;		//Den leste adc-verdien som tilsvarer at ingen kraft er ptrykt vektcella.

//Returnerer vekten som blir ptrykt vektcella. Gitt i gram.
int getWeight(void)
{
	int ADCvalue = readChannel(WEIGHTADCCHANNEL);
	int weight = ((ADCvalue-SENSORMIDPOINT)*1000)/VALPERKG;
	return weight;
} 

//Setter mlt verdi som nullpunkt (0 gram).
void setSensorMidPoint(void)
{
	SENSORMIDPOINT = readChannel(WEIGHTADCCHANNEL);
}	